commit:     5282d5cf600e03b171260897d50096a1fefb9b19
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 26 15:19:54 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Wed Aug 26 15:21:36 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5282d5cf

app-text/lesspipe: bump to v1.85

Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 app-text/lesspipe/Manifest             |  1 +
 app-text/lesspipe/lesspipe-1.85.ebuild | 40 ++++++++++++++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/app-text/lesspipe/Manifest b/app-text/lesspipe/Manifest
index b755f267471..19eee9627cf 100644
--- a/app-text/lesspipe/Manifest
+++ b/app-text/lesspipe/Manifest
@@ -1,2 +1,3 @@
 DIST lesspipe-1.83.tar.gz 115129 BLAKE2B 
24d9e4a226537a44c01c316528e085c6d2d7889b2ae5166d70b85e12c5f0b34e825e039a70071d7e75947e1c63d527decb21973631e910de42c75ec3ee17436c
 SHA512 
c6418ac2bfc2dee9d32d56b0ea4a94954b1431db54fef8b67a9cf7d961cf4a23d87b2f41b2a4560d2333029c6d4ed5c6f399cb635f857bd43f1603993b5cb55d
 DIST lesspipe-1.84.tar.gz 119657 BLAKE2B 
671b504022bdba82eea03d7a83960d5ed148d851d0420f179967f46d38a88ab90c9928a462e01744134aedfe710dba741430e78743451b1b65e603e5d89ae139
 SHA512 
f11ef23610f722d62ddf7e084b03967ed59d21af6ac207d4456f625c93c3c58c87ec5907cf6bca00ae5550dcddfc9b7f0be5de51f9ff81044fcff1f1cde81267
+DIST lesspipe-1.85.tar.gz 120568 BLAKE2B 
d2c00f4121dc1bbed6b82220dac038068bbff87c732385399542cb212d4664c74d018db07829f90c38e938cb8623a443888c74b0d003fff725d0ddf207d8109e
 SHA512 
420d087b9fc9783b9404855e4656b88c10852502bd2f1931978b7dc7ff15eba1a375b217184480f9b341322c12e7336d0861ba9c2f673f2b2a7fb340a381f5b2

diff --git a/app-text/lesspipe/lesspipe-1.85.ebuild 
b/app-text/lesspipe/lesspipe-1.85.ebuild
new file mode 100644
index 00000000000..6d1b0a34f4c
--- /dev/null
+++ b/app-text/lesspipe/lesspipe-1.85.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+DESCRIPTION="a preprocessor for less"
+HOMEPAGE="https://github.com/wofr06/lesspipe";
+SRC_URI="https://github.com/wofr06/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sparc ~x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos 
~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+DEPEND="dev-lang/perl"
+RDEPEND="${DEPEND}
+       !<sys-apps/less-483-r1"
+
+src_configure() {
+       # Not an autoconf script.
+       ./configure --fixed || die
+}
+
+src_compile() {
+       # Nothing to build.
+       :
+}
+
+src_install() {
+       emake PREFIX="${EPREFIX}/usr" DESTDIR="${D}" install
+       einstalldocs
+}
+
+pkg_preinst() {
+       if [[ -z ${REPLACING_VERSIONS} ]] ; then
+               elog "This package installs 'lesspipe.sh' which is distinct 
from 'lesspipe'."
+               elog "The latter is the Gentoo-specific version.  Make sure to 
update your"
+               elog "LESSOPEN environment variable if you wish to use this 
copy."
+       fi
+}

Reply via email to